org.apache.sysds.runtime.io.hdf5

## Class H5Constants

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.H5Constants

-     public final class H5Constants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DATA_LAYOUT_MESSAGE`
    `static int` | `DATA_SPACE_MESSAGE`
    `static int` | `DATA_TYPE_MESSAGE`
    `static int` | `FILL_VALUE_MESSAGE`
    `static int` | `NIL_MESSAGE`
    `static byte` | `NULL`
    `static int` | `OBJECT_MODIFICATION_TIME_MESSAGE`
    `static int` | `STATIC_HEADER_SIZE`
    `static int` | `SYMBOL_TABLE_MESSAGE`
    `static long` | `UNDEFINED_ADDRESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `H5Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final byte NULL

      See Also:
        Constant Field Values

    - #### UNDEFINED_ADDRESS

          public static final long UNDEFINED_ADDRESS

      See Also:
        Constant Field Values

    - #### STATIC_HEADER_SIZE

          public static final int STATIC_HEADER_SIZE

      See Also:
        Constant Field Values

    - #### NIL_MESSAGE

          public static final int NIL_MESSAGE

      See Also:
        Constant Field Values

    - #### DATA_SPACE_MESSAGE

          public static final int DATA_SPACE_MESSAGE

      See Also:
        Constant Field Values

    - #### DATA_TYPE_MESSAGE

          public static final int DATA_TYPE_MESSAGE

      See Also:
        Constant Field Values

    - #### FILL_VALUE_MESSAGE

          public static final int FILL_VALUE_MESSAGE

      See Also:
        Constant Field Values

    - #### DATA_LAYOUT_MESSAGE

          public static final int DATA_LAYOUT_MESSAGE

      See Also:
        Constant Field Values

    - #### SYMBOL_TABLE_MESSAGE

          public static final int SYMBOL_TABLE_MESSAGE

      See Also:
        Constant Field Values

    - #### OBJECT_MODIFICATION_TIME_MESSAGE

          public static final int OBJECT_MODIFICATION_TIME_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### H5Constants

          public H5Constants()

Copyright © 2021 The Apache Software Foundation. All rights reserved.